# typed: true
class CreateDomainFaFollows < ActiveRecord::Migration[7.0]
  def change
    # pk removed in 20230523162724_remove_pk_from_follows.rb
    create_table :domain_fa_follows do |t|
      t.references :follower, null: false
      t.references :followed, null: false
    end

    add_foreign_key :domain_fa_follows, :domain_fa_users, column: :follower_id
    add_foreign_key :domain_fa_follows, :domain_fa_users, column: :followed_id
  end
end
